Loading...
Searching...
No Matches
BALL::NumberOfHydrogenBondAcceptors Class Reference

`#include <BALL/QSAR/simpleDescriptors.h>`

Inheritance diagram for BALL::NumberOfHydrogenBondAcceptors:

## Public Member Functions

Constructors and Destructors
| NumberOfHydrogenBondAcceptors ()
| NumberOfHydrogenBondAcceptors (const NumberOfHydrogenBondAcceptors &nhba)
| NumberOfHydrogenBondAcceptors (const String &expression)
virtual | ~NumberOfHydrogenBondAcceptors ()
const String & | getExpression () const
void | setExpression (const String &expression)
double | compute (AtomContainer &ac)
Public Member Functions inherited from BALL::SimpleBase
| SimpleBase ()
| SimpleBase (const SimpleBase &sb)
| SimpleBase (const String &name)
| SimpleBase (const String &name, const String &unit)
virtual | ~SimpleBase ()
virtual SimpleBase & | operator= (const SimpleBase &sb)
void | computeAllDescriptors (AtomContainer &ac)
void | setDataFolder (const char *folder)
Public Member Functions inherited from BALL::Descriptor
| Descriptor ()
| Descriptor (const Descriptor &descriptor)
| Descriptor (const String &name)
| Descriptor (const String &name, const String &unit)
virtual | ~Descriptor ()
Descriptor & | operator= (const Descriptor &descriptor)
Processor::Result | operator() (AtomContainer &ac)
const String & | getName () const
void | setName (const String &name)
void | setUnit (const String &name)
const String & | getUnit () const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()

## Assignment

NumberOfHydrogenBondAcceptors & | operator= (const NumberOfHydrogenBondAcceptors &nhba)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
bool | isValid_ (AtomContainer &ac)
void | calculate_ (AtomContainer &ac)

## Detailed Description

This descriptor returns the number of hydrogen bonds acceptor atoms. If other set of atoms should be considered as hydrogen bond acceptors then this can be set via setExpression with an Expression string as parameter.

Definition at line 1097 of file simpleDescriptors.h.

## Constructor & Destructor Documentation

## NumberOfHydrogenBondAcceptors() [1/3]

BALL::NumberOfHydrogenBondAcceptors::NumberOfHydrogenBondAcceptors | ( |  | ) |

Default constructor

## NumberOfHydrogenBondAcceptors() [2/3]

BALL::NumberOfHydrogenBondAcceptors::NumberOfHydrogenBondAcceptors | ( | const NumberOfHydrogenBondAcceptors & | nhba | ) |

Copy constructor

## NumberOfHydrogenBondAcceptors() [3/3]

BALL::NumberOfHydrogenBondAcceptors::NumberOfHydrogenBondAcceptors | ( | const String & | expression | ) |

Expression constructor

## ~NumberOfHydrogenBondAcceptors()

virtual BALL::NumberOfHydrogenBondAcceptors::~NumberOfHydrogenBondAcceptors | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## compute()

double BALL::NumberOfHydrogenBondAcceptors::compute | ( | AtomContainer & | ac | ) |

virtual

Reimplemented from BALL::Descriptor.

## getExpression()

const String & BALL::NumberOfHydrogenBondAcceptors::getExpression | ( |  | ) | const

Accessors

## operator=()

NumberOfHydrogenBondAcceptors & BALL::NumberOfHydrogenBondAcceptors::operator= | ( | const NumberOfHydrogenBondAcceptors & | nhba | ) |

Assignment operator

## setExpression()

void BALL::NumberOfHydrogenBondAcceptors::setExpression | ( | const String & | expression | ) |